Flecs: ecs_build_info_t Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
Public Attributes | List of all members
ecs_build_info_t Struct Reference
C API » Core » API types » Miscellaneous types

Type with information about the current Flecs build. More...

`#include <flecs.h>`

## Public Attributes
const char * | compiler
| Compiler used to compile flecs.
const char ** | addons
| Addons included in build.
const char * | version
| Stringified version.
int16_t | version_major
| Major flecs version.
int16_t | version_minor
| Minor flecs version.
int16_t | version_patch
| Patch flecs version.
bool | debug
| Is this a debug build.
bool | sanitize
| Is this a sanitize build.
bool | perf_trace
| Is this a perf tracing build.

## Detailed Description

Type with information about the current Flecs build.

Definition at line 1389 of file flecs.h.

## Member Data Documentation

## ◆ addons

const char** ecs_build_info_t::addons

Addons included in build.

Definition at line 1391 of file flecs.h.

## ◆ compiler

const char* ecs_build_info_t::compiler

Compiler used to compile flecs.

Definition at line 1390 of file flecs.h.

## ◆ debug

bool ecs_build_info_t::debug

Is this a debug build.

Definition at line 1396 of file flecs.h.

## ◆ perf_trace

bool ecs_build_info_t::perf_trace

Is this a perf tracing build.

Definition at line 1398 of file flecs.h.

## ◆ sanitize

bool ecs_build_info_t::sanitize

Is this a sanitize build.

Definition at line 1397 of file flecs.h.

## ◆ version

const char* ecs_build_info_t::version

Stringified version.

Definition at line 1392 of file flecs.h.

## ◆ version_major

int16_t ecs_build_info_t::version_major

Major flecs version.

Definition at line 1393 of file flecs.h.

## ◆ version_minor

int16_t ecs_build_info_t::version_minor

Minor flecs version.

Definition at line 1394 of file flecs.h.

## ◆ version_patch

int16_t ecs_build_info_t::version_patch

Patch flecs version.

Definition at line 1395 of file flecs.h.

The documentation for this struct was generated from the following file:

- include/flecs.h